Source: https://fyno.docs.pageloop.ai/documentation/core-features/templates/fyno-templates/creating-a-template/email-templates/override-sender-details

# Override Email Sender Details

You can override details in your email in 2 ways.

1. Using API
2. Using Email editor

## How to override sender details using API?

During the integration setup, you would have specified a 'From\_Email' address. If you have multiple email addresses such as `noreply@xyz.com`, `marketing@xyz.com`, `cs@xyz.com`, and you wish to use the appropriate email address depending on the communication you send, you can dynamically assign values to `From_Email`. To achieve this, please follow the steps outlined below.

1. **Define Default Email**

   Within the integrations popup, include 'from\_email' as shown below. In this example, `tech@fyno.io` will serve as the default From Email if the provided email ID in the payload is not valid. If you prefer not to use the default email, simply specify 'from\_email' in the respective field.

   > [!NOTE]
   >
   > Adding a default 'from\_email' is advisable to ensure uninterrupted communication. ![](/images/email_default_from_email.png)
2. **Override Sender Details via API**

   In the Notification event payload, you need to pass the `from_email` as shown below. By doing so, the emails triggered via this notification event will go from '<tech@fyno.io>'.
   ```cURL title="Override Sender Details" wordWrap
   curl -X POST 'https://api.fyno.io/v1/<WorkspaceID>/test/event' \
   -H 'Authorization: Bearer <API_KEY>' \
   -H 'Content-Type: application/json' \
   -d '{
       "event": "ReleaseNote",
       "to": {
           "email": "xyz@gmail.com"
       },
       "data": {
           "name": "Rahul",
           "key": "value"
       },
       "channel": {
           "email": {
               "override": {
                   “from_email": “tech@fyno.io"
               }
           }
       }
   }'
   ```

> [!NOTE]
>
> The same process can be followed for `from_name` field also.

## How to override sender details in Email editor

To override the sender details configured in the Service Provider integration, follow the below steps

1. Click 'Enter From and CC/BCC details' above the Subject line. ![](/images/email_template_override.png)
2. You will see the sender details as shown below. ![](/images/email_template_override_details.png)
3. Once you enter the sender details, it will look as shown. ![](/images/email_template_override_from.png)
4. To override CC/BCC details, click the CC/BCC tab and enter the details as shown. ![](/images/email_template_cc_bcc.png)
5. Once you entered CC and BCC details, it will look like shown below ![](/images/email_template_override_cc_bcc.png)

> [!NOTE]
>
> CC and BCC details provided in Email template will override the CC and BCC details provided in the Notification Event API
